#!/bin/sh
gcc -v 2> gcc_version.log
cat /dev/null > compute_size.asm

# ----------------------------------------------------------------------------

gcc -Os -S compute_size_joebuck.c
echo -n "Joe Buck's code: " >> compute_size.asm
echo \
"$(expr $(grep -v '\.' compute_size_joebuck.s | wc -l) - 1) instructions" \
   >> compute_size.asm
grep -v '\.' compute_size_joebuck.s >> compute_size.asm
echo "" >> compute_size.asm
rm -f compute_size_joebuck.s

# ----------------------------------------------------------------------------

gcc -Os -S compute_size_rossridge.c
echo -n "Ross Ridge's code: " >> compute_size.asm
echo \
"$(expr $(grep -v '\.' compute_size_rossridge.s | wc -l) - 1) instructions" \
   >> compute_size.asm
grep -v '\.' compute_size_rossridge.s >> compute_size.asm
echo "" >> compute_size.asm
rm -f compute_size_rossridge.s

# ----------------------------------------------------------------------------

gcc -Os -S compute_size_rosssmith.c
echo -n "Ross Smith's code: " >> compute_size.asm
echo \
"$(expr $(grep -v '\.' compute_size_rosssmith.s | wc -l) - 1) instructions" \
   >> compute_size.asm
grep -v '\.' compute_size_rosssmith.s >> compute_size.asm
echo "" >> compute_size.asm
rm -f compute_size_rosssmith.s

# ----------------------------------------------------------------------------
